EvoPay
POST/withdraw/qrcodeWITHDRAW

Saque via QR Code

Requer permissão WITHDRAW no token.

Realiza um saque usando um QR Code Pix como destino. Se o QR Code for dinâmico (com valor embutido), o campo `amount` é ignorado. Se for estático (sem valor), `amount` é obrigatório.

Na resposta, o campo `withdrawQrCodeText` conterá o payload EMV enviado no campo `qrCode`. Os campos `withdrawPixKey` e `withdrawPixType` serão `null` para este tipo de saque.

Headers

AuthorizationBearer <seu_token>
Content-Typeapplication/json

Body da requisiçãoobrigatório

CampoTipoDescrição
qrCode*
stringPayload Pix Copia e Cola do QR Code de destino
amount
numberObrigatório quando o QR Code não contém valor fixo
callbackUrl
stringuri
description
string
clientReference
string

Respostas

Saque criado com sucesso

CampoTipoDescrição
id
string
type
TransactionType
DEPOSITWITHDRAWCOMMISSION
status
TransactionStatus
PENDINGCOMPLETEDCANCELEDWAITING_FOR_REFUNDREFUNDEDEXPIREDERROR
amount
number
serviceFeeCharged
number?
clientReference
string?
qrCodeText
string?
qrCodeUrl
string?
qrCodeBase64
string?
generatedName
string?
generatedDocument
string?
generatedEmail
string?
payerName
string?
payerDocument
string?
payerInstitutionIspb
string?
payerInstitutionName
string?
receiverName
string?
receiverDocument
string?
receiverInstitutionIspb
string?
receiverInstitutionName
string?
withdrawPixKey
string?Chave PIX usada no saque (preenchido em saque via chave)
withdrawPixType
PixType?Tipo da chave PIX (preenchido em saque via chave)
cpfcnpjemailphoneevp
withdrawQrCodeText
string?Payload EMV Pix Copia e Cola usado no saque (preenchido em saque via QR Code)
endToEndId
string?
cancellationReason
string?
paidAt
string?date-time
refundEndToEndId
string?
refundAmount
number?
refundStatus
RefundStatus?
PENDINGCOMPLETEDCANCELED
refundReason
RefundReason?
CUSTOMER_REQUESTDENY_COMPANY_DEPOSITINFRACTION
refundDescription
string?
refundedAt
string?date-time
createdAt
stringdate-time
updatedAt
stringdate-time
splits
TransactionSplitItem[]Splits configurados na venda, ecoando exatamente o que foi persistido. Na criação (POST /pix/) todo item vem com status PENDING — a execução real só acontece na confirmação do pagamento. Consulte novamente via GET /pix/ depois do webhook processar para ver EXECUTED ou FAILED. Ausente inteiramente (não aparece nem vazio) quando a transação não foi criada com o campo splits no request. Veja detalhes de cálculo e comportamento de erro em POST /pix/.

Exemplos

curl "https://api.evopay.cash/v1/withdraw/qrcode" \
  -X POST \
  -H "Authorization: Bearer <seu_token>" \
  -H "Content-Type: application/json" \
  --data-raw '{
  "qrCode": "exemplo",
  "amount": 100,
  "callbackUrl": "https://seu-servidor.com/webhook",
  "description": "exemplo",
  "clientReference": "exemplo"
}'
EvoPay API Documentation